<?php require "../../common/html.php"; ?>

Enregistrer la possession d'un domaine sur son compte.<br>
Ce domaine doit être composé uniquement d'au moins 4 lettres latines non accentuées.
<br>
<br>
<form method="post">
	<div>
		<label for="subdomain">Sous-domaine</label>
		<br>
		<input id="subdomain" pattern="<?= CONF['reg']['subdomain_regex'] ?>" required="" placeholder="niver" name="subdomain" type="text">.<?= CONF['reg']['registry'] ?>
	</div>
	<input value="Valider" type="submit">
</form>

<?php

switchToFormProcess();

if (preg_match("/" . CONF['reg']['subdomain_regex'] . "/", $_POST['subdomain']) !== 1)
	userError("Erreur : Le nom de domaine doit être composé uniquement d'entre 4 et 63 lettres minuscules (a-z)");

$domain = formatAbsoluteDomain(formatEndWithDot($_POST['subdomain']) . CONF['reg']['registry']);

if (regIsFree($domain) !== true)
	userError("Ce domaine n'est pas disponible à l'enregistrement. Il est réservé ou déjà enregistré.");

$db = new PDO('sqlite:' . DB_PATH);
$stmt = $db->prepare("INSERT INTO registry(domain, username, last_renewal) VALUES(:domain, :username, :last_renewal)");

$stmt->bindValue(':domain', $domain);
$stmt->bindValue(':username', $_SESSION['username']);
$stmt->bindValue(':last_renewal', date("Y-m-d H:i:s"));

$stmt->execute();

success("Domaine ajouté au registre.");
