<?php require "../../common/html.php"; ?>

<form method="post">
	<label for="domain">Domaine</label>
	<br>
	<select required="" name="domain" id="domain">
		<option value="" disabled="" selected="">---</option>
<?php
if (isset($_SESSION['username']))
	foreach(regListUserDomains($_SESSION['username']) as $suffix)
		echo "		<option value='" . $suffix . "'>." . $suffix . "</option>\n";
?>

	</select>
	<br>
	<input value="Effacer" type="submit">
</form>

<?php

switchToFormProcess();

regCheckDomainPossession($_POST['domain']);

// Add Tor config
$regFile = file_get_contents(CONF['reg']['registry_file']);
if ($regFile === false)
	serverError("Failed to read current registry File.");
$regFile = preg_replace("#[^\n]{0,1024}" . $_POST['domain'] . " {0,1024}[^\n]{0,1024}\n#", "", $regFile);
if (file_put_contents(CONF['reg']['registry_file'], $regFile) === false)
	serverError("Failed to write new registry file.");

// Remove from Niver's database
$db = new PDO('sqlite:' . DB_PATH);
$stmt = $db->prepare("DELETE FROM registry WHERE domain = :domain AND username = :username");

$stmt->bindValue(':domain', $_POST['domain']);
$stmt->bindValue(':username', $_SESSION['username']);

$stmt->execute();

success("Domaine effacé du registre.");
